## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libsixel
Version:        1.10.5
Release:        %autorelease
Summary:        SIXEL encoding and decoding

License:        MIT
URL:            https://github.com/libsixel/libsixel
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/libsixel/libsixel/issues/81
# Taken from https://github.com/libsixel/libsixel/pull/89
Patch:          libsixel-fix-bash-completions.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)

%description
An encoder/decoder implementation for DEC SIXEL graphics.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%package utils
Summary:        SIXEL encoder and decoder utilities
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description utils
%{summary}.

%prep
%autosetup -p1

%build
%meson -Dtests=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%doc AUTHORS
%doc NEWS
%doc README.md
%{_libdir}/libsixel.so.1
%{_libdir}/libsixel.so.1.0.0

%files devel
%{_bindir}/libsixel-config
%{_includedir}/sixel.h
%{_libdir}/libsixel.so
%{_libdir}/pkgconfig/libsixel.pc

%files utils
%{_bindir}/img2sixel
%{_bindir}/sixel2png
%{_mandir}/man1/img2sixel.1*
%{_mandir}/man1/sixel2png.1*
%{bash_completions_dir}/img2sixel
%{zsh_completions_dir}/_img2sixel

%changelog
## START: Generated by rpmautospec
* Mon May 05 2025 ErrorNoInternet <errornointernet@envs.net> - 1.10.5-2
- Add patch for fixing bash completions

* Thu Feb 13 2025 ErrorNoInternet <errornointernet@envs.net> - 1.10.5-1
- Update to 1.10.5

* Thu Feb 13 2025 ErrorNoInternet <errornointernet@envs.net> - 1.10.3-8
- Add spaces for readability

* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 30 2023 ErrorNoInternet <errornointernet@envs.net> - 1.10.3-3
- Enabled tests

* Wed Aug 30 2023 ErrorNoInternet <errornointernet@envs.net> - 1.10.3-2
- Fix a few package review issues

* Sat Jul 29 2023 ErrorNoInternet <errornointernet@envs.net> - 1.10.3-1
- Initial packaging

## END: Generated by rpmautospec
